Comment on X11

dingeruk below is incorrect about Snow Leopard releases:

"1.6 [sic] contains version 2.3.4 of X11. Not surprisingly, this version lies between 2.3.3.2 and 2.4.0. It contains all the fixes that went into Xplugin, quartz-wm, and most of the server fixes, but it is still on the 1.4 server branch. Most of the userland libraries were updated to what was shipped in 2.4.0 with a few exceptions.

2.4.0 will not be released for SnowLeopard. 2.4.1 will be the first release that can be installed on SnowLeopard. There will be separate Leopard and SnowLeopard packages for 2.4.1 and later. On SnowLeopard, X11 will no longer install over the system's X11. It will install in its own prefix to allow side-by-side use with the Apple-provided X11."

—from http://xquartz.macosforge.org/trac/wiki#SnowLeopardNotice